Bug 501844 - kernel: random: ICE at get_random_int() [rhel-4.3]
kernel: random: ICE at get_random_int() [rhel-4.3]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Cong Wang
Evan McNabb
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 21:28 EDT by Cong Wang
Modified: 2013-09-29 22:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 11:03:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The upstream patch to fix this (2.15 KB, patch)
2009-05-20 21:35 EDT, Cong Wang
no flags Details | Diff

  None (edit)
Description Cong Wang 2009-05-20 21:28:17 EDT
Description of problem:


    Martin Knoblauch reports that trying to build 2.6.30-rc6-git3 with
    RHEL4.3 userspace (gcc (GCC) 3.4.5 20051201 (Red Hat 3.4.5-2)) causes an
    internal compiler error (ICE):
    
        drivers/char/random.c: In function `get_random_int':
        drivers/char/random.c:1672: error: unrecognizable insn:
        (insn 202 148 150 0 /scratch/build/linux-2.6.30-rc6-git3/arch/x86/include/asm/tsc.h:23 (set (reg:SI 0 ax [91])
                (subreg:SI (plus:DI (plus:DI (reg:DI 0 ax [88])
                            (subreg:DI (reg:SI 6 bp) 0))
                        (const_int -4 [0xfffffffffffffffc])) 0)) -1 (nil)
            (nil))
        drivers/char/random.c:1672: internal compiler error: in extract_insn, at recog.c:2083
Comment 1 Cong Wang 2009-05-20 21:30:25 EDT
Linus pointed out this is a bug of GCC. So GCC team, please check if this is fixed in GCC higher than 3.4.5-2.
Comment 2 Cong Wang 2009-05-20 21:31:19 EDT
This got fixed in upstream, as commit 26a9a418237c0b06528941bca693c49c8d97edbe.

Check this:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=26a9a418237c0b06528941bca693c49c8d97edbe
Comment 3 Cong Wang 2009-05-20 21:35:10 EDT
Created attachment 344905 [details]
The upstream patch to fix this
Comment 4 RHEL Product and Program Management 2009-06-05 09:46:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Vivek Goyal 2009-07-07 14:11:51 EDT
Committed in 89.5.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 12 errata-xmlrpc 2011-02-16 11:03:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.